<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package nbcore
 */
$blog_layout = aidoo_get_options('nbcore_blog_archive_layout');
$blog_sidebar = aidoo_get_options('nbcore_blog_sidebar');
$blog_swipper = aidoo_get_options('nbcore_blog_display_swipper');
get_header(); ?>

	<?php aidoo_page_title(); ?>
	
	<?php if($blog_swipper){ ?>
	<div id="blog_swipper">
		<div class="swiper-container">
			<div class="swiper-wrapper">
				<?php
					while ( have_posts() ) : the_post();
						echo '<div class="swiper-slide">';
						echo '<div class="entry-image">';
						if (has_post_thumbnail()){
							$thumb = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
							echo '<div style="background-image:url('.$thumb[0].')"></div>';
						}
						echo '</div>';
						echo '<div class="entry-content">';
						aidoo_get_categories();
						the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
						aidoo_posted_on();
						echo '<div class="read-more-link"><a class="nb-primary-button" href="' . get_permalink() . '">' . esc_html__('Read more', 'aidoo') . '</a></div>';
						echo '</div>';	
						echo '</div>';
					endwhile;
				?>
			</div>
		</div>
	</div>
	<?php } ?>

	<div class="container layout-content">
		<div class="blog row <?php echo aidoo_blog_classes(); ?>">
			<div id="primary" class="content-area">
				<main id="main" class="site-main <?php echo esc_attr($blog_layout); ?>" role="main">
	
				<?php
				if ( have_posts() ) :
	
					if ( is_home() && ! is_front_page() ) : ?>
						<header>
							<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
						</header>
	
					<?php
					endif;
	
					/* Start the Loop */
					while ( have_posts() ) : the_post();
	
						/*
						 * Include the Post-Format-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
						 */
						get_template_part( 'template-parts/blog/' . $blog_layout );
	
					endwhile;			
	
				else :
	
					get_template_part( 'template-parts/content', 'none' );
	
				endif; ?>
	
				</main><!-- #main -->
				<?php aidoo_paging_nav(); ?>
			</div><!-- #primary -->
			<?php
			if('no-sidebar' !== $blog_sidebar) {
				get_sidebar();
			} ?>
		</div>
	</div>
<?php
get_footer();
